Bug 500321 - debuginfo-install doesn't handle i18n file conflict error messages (traceback)
debuginfo-install doesn't handle i18n file conflict error messages (traceback)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 05:24 EDT by Matěj Cepl
Modified: 2014-01-21 18:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 09:04:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2009-05-12 05:24:06 EDT
Description of problem:
[matej@viklef ~]$ sudo debuginfo-install ekiga
Loaded plugins: dellsysidplugin2, fastestmirror, presto, remove-with-leaves
Loading mirror speeds from cached hostfile
 * livna: rpm.livna.org
 * rawhide: ftp.fi.muni.cz
 * rawhide-debuginfo: ftp.fi.muni.cz
 * rpmfusion-free-rawhide: mirror.karneval.cz
 * rpmfusion-nonfree-rawhide: mirror.karneval.cz
Excluding Packages in global exclude list
Finished
Checking for new repos for mirrors
enabling livna-debuginfo
Checking for new repos for mirrors
 * livna-debuginfo: rpm.livna.org
Reading repository metadata in from local files
livna-debuginfo                                          | 1.0 kB     00:00     
Excluding Packages in global exclude list
Finished
enabling rawhide-debuginfo
Checking for new repos for mirrors
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
enabling rpmfusion-free-rawhide-debuginfo
Checking for new repos for mirrors
 * rpmfusion-free-rawhide-debuginfo: mirror.karneval.cz
Reading repository metadata in from local files
rpmfusion-free-rawhide-debuginfo                         | 2.7 kB     00:00     
rpmfusion-free-rawhide-debuginfo/primary_db              |  54 kB     00:00     
Excluding Packages in global exclude list
Finished
enabling rpmfusion-nonfree-rawhide-debuginfo
Checking for new repos for mirrors
 * rpmfusion-nonfree-rawhide-debuginfo: mirror.karneval.cz
Reading repository metadata in from local files
rpmfusion-nonfree-rawhide-debuginfo                      | 2.7 kB     00:00     
rpmfusion-nonfree-rawhide-debuginfo/primary_db           |  18 kB     00:00     
Excluding Packages in global exclude list
Finished
Package ekiga-debuginfo-3.2.0-2.fc11.x86_64 already installed and latest version
Package glibc-debuginfo-2.9.90-22.x86_64 already installed and latest version
Package glibc-debuginfo-2.9.90-22.x86_64 already installed and latest version
Package glibc-debuginfo-2.9.90-22.x86_64 already installed and latest version
Package glibc-debuginfo-2.9.90-22.x86_64 already installed and latest version
Package openssl-debuginfo-0.9.8k-1.fc11.x86_64 already installed and latest version
Package glibc-debuginfo-2.9.90-22.x86_64 already installed and latest version
Package expat-debuginfo-2.0.1-6.x86_64 already installed and latest version
Package openldap-debuginfo-2.4.15-3.fc11.x86_64 already installed and latest version
Package openldap-debuginfo-2.4.15-3.fc11.x86_64 already installed and latest version
Package openldap-debuginfo-2.4.15-3.fc11.x86_64 already installed and latest version
Package glibc-debuginfo-2.9.90-22.x86_64 already installed and latest version
Package glibc-debuginfo-2.9.90-22.x86_64 already installed and latest version
Package opal-debuginfo-3.6.1-3.fc11.x86_64 already installed and latest version
Package glibc-debuginfo-2.9.90-22.x86_64 already installed and latest version
Package glibc-debuginfo-2.9.90-22.x86_64 already installed and latest version
Package glibc-debuginfo-2.9.90-22.x86_64 already installed and latest version
Package glibc-debuginfo-2.9.90-22.x86_64 already installed and latest version
Package openssl-debuginfo-0.9.8k-1.fc11.x86_64 already installed and latest version
Package zlib-debuginfo-1.2.3-22.fc11.x86_64 already installed and latest version
--> Running transaction check
---> Package GConf2-debuginfo.x86_64 0:2.26.0-2.fc11 set to be updated
---> Package ORBit2-debuginfo.x86_64 0:2.14.17-1.fc11 set to be updated
---> Package SDL-debuginfo.x86_64 0:1.2.13-9.fc11 set to be updated
---> Package atk-debuginfo.x86_64 0:1.25.2-2.fc11 set to be updated
---> Package avahi-debuginfo.x86_64 0:0.6.25-1.fc11 set to be updated
---> Package cairo-debuginfo.x86_64 0:1.8.6-2.fc11 set to be updated
---> Package cyrus-sasl-debuginfo.x86_64 0:2.1.22-22.fc11 set to be updated
---> Package dbus-debuginfo.x86_64 1:1.2.12-1.fc11 set to be updated
---> Package dbus-glib-debuginfo.x86_64 0:0.80-2.fc11 set to be updated
---> Package evolution-data-server-debuginfo.x86_64 0:2.26.1-1.fc11 set to be updated
---> Package fontconfig-debuginfo.x86_64 0:2.6.99.behdad.20090508-1.fc11 set to be updated
---> Package freetype-debuginfo.x86_64 0:2.3.9-3.fc11 set to be updated
---> Package gcc-debuginfo.x86_64 0:4.4.0-4 set to be updated
---> Package glib2-debuginfo.x86_64 0:2.20.1-1.fc11 set to be updated
---> Package gtk2-debuginfo.x86_64 0:2.16.1-4.fc11 set to be updated
---> Package libX11-debuginfo.x86_64 0:1.2-3.fc11 set to be updated
---> Package libXext-debuginfo.x86_64 0:1.0.99.1-2.fc11 set to be updated
---> Package libXv-debuginfo.x86_64 0:1.0.4-2.fc11 set to be updated
---> Package libbonobo-debuginfo.x86_64 0:2.24.1-1.fc11 set to be updated
---> Package libnotify-debuginfo.x86_64 0:0.4.5-2.fc11 set to be updated
---> Package libsigc++20-debuginfo.x86_64 0:2.2.2-3.fc11 set to be updated
---> Package libsoup-debuginfo.x86_64 0:2.26.1-1.fc11 set to be updated
---> Package libxml2-debuginfo.x86_64 0:2.7.3-2.fc11 set to be updated
---> Package pango-debuginfo.x86_64 0:1.24.1-1.fc11 set to be updated
---> Package ptlib-debuginfo.x86_64 0:2.6.1-1.fc11 set to be updated
---> Package speex-debuginfo.x86_64 0:1.2-0.11.rc1.fc11 set to be updated
--> Finished Dependency Resolution

================================================================================
 Package                 Arch     Version             Repository           Size
================================================================================
Installing:
 GConf2-debuginfo        x86_64   2.26.0-2.fc11       rawhide-debuginfo   598 k
 ORBit2-debuginfo        x86_64   2.14.17-1.fc11      rawhide-debuginfo   852 k
 SDL-debuginfo           x86_64   1.2.13-9.fc11       rawhide-debuginfo   945 k
 atk-debuginfo           x86_64   1.25.2-2.fc11       rawhide-debuginfo   187 k
 avahi-debuginfo         x86_64   0.6.25-1.fc11       rawhide-debuginfo   955 k
 cairo-debuginfo         x86_64   1.8.6-2.fc11        rawhide-debuginfo   979 k
 cyrus-sasl-debuginfo    x86_64   2.1.22-22.fc11      rawhide-debuginfo   796 k
 dbus-debuginfo          x86_64   1:1.2.12-1.fc11     rawhide-debuginfo   1.2 M
 dbus-glib-debuginfo     x86_64   0.80-2.fc11         rawhide-debuginfo   269 k
 evolution-data-server-debuginfo
                         x86_64   2.26.1-1.fc11       rawhide-debuginfo   5.0 M
 fontconfig-debuginfo    x86_64   2.6.99.behdad.20090508-1.fc11
                                                      rawhide-debuginfo   354 k
 freetype-debuginfo      x86_64   2.3.9-3.fc11        rawhide-debuginfo   2.1 M
 gcc-debuginfo           x86_64   4.4.0-4             rawhide-debuginfo   119 M
 glib2-debuginfo         x86_64   2.20.1-1.fc11       rawhide-debuginfo   2.4 M
 gtk2-debuginfo          x86_64   2.16.1-4.fc11       rawhide-debuginfo   9.1 M
 libX11-debuginfo        x86_64   1.2-3.fc11          rawhide-debuginfo   4.0 M
 libXext-debuginfo       x86_64   1.0.99.1-2.fc11     rawhide-debuginfo   222 k
 libXv-debuginfo         x86_64   1.0.4-2.fc11        rawhide-debuginfo    40 k
 libbonobo-debuginfo     x86_64   2.24.1-1.fc11       rawhide-debuginfo   856 k
 libnotify-debuginfo     x86_64   0.4.5-2.fc11        rawhide-debuginfo    51 k
 libsigc++20-debuginfo   x86_64   2.2.2-3.fc11        rawhide-debuginfo    64 k
 libsoup-debuginfo       x86_64   2.26.1-1.fc11       rawhide-debuginfo   452 k
 libxml2-debuginfo       x86_64   2.7.3-2.fc11        rawhide-debuginfo   2.0 M
 pango-debuginfo         x86_64   1.24.1-1.fc11       rawhide-debuginfo   1.2 M
 ptlib-debuginfo         x86_64   2.6.1-1.fc11        rawhide-debuginfo   3.9 M
 speex-debuginfo         x86_64   1.2-0.11.rc1.fc11   rawhide-debuginfo   327 k

Transaction Summary
================================================================================
Install     26 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 158 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
No Presto metadata available for rawhide-debuginfo
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
(1/26): GConf2-debuginfo-2.26.0-2.fc11.x86_64.rpm        | 598 kB     00:00     
(2/26): ORBit2-debuginfo-2.14.17-1.fc11.x86_64.rpm       | 852 kB     00:01     
(3/26): SDL-debuginfo-1.2.13-9.fc11.x86_64.rpm           | 945 kB     00:01     
(4/26): atk-debuginfo-1.25.2-2.fc11.x86_64.rpm           | 187 kB     00:00     
(5/26): avahi-debuginfo-0.6.25-1.fc11.x86_64.rpm         | 955 kB     00:01     
(6/26): cairo-debuginfo-1.8.6-2.fc11.x86_64.rpm          | 979 kB     00:04     
(7/26): cyrus-sasl-debuginfo-2.1.22-22.fc11.x86_64.rpm   | 796 kB     00:02     
(8/26): dbus-debuginfo-1.2.12-1.fc11.x86_64.rpm          | 1.2 MB     00:02     
(9/26): dbus-glib-debuginfo-0.80-2.fc11.x86_64.rpm       | 269 kB     00:00     
(10/26): evolution-data-server-debuginfo-2.26.1-1.fc11.x | 5.0 MB     00:09     
(13/26): gcc-debuginfo-4.4.0-4.x86_64.rpm                | 119 MB     03:18     
(14/26): glib2-debuginfo-2.20.1-1.fc11.x86_64.rpm        | 2.4 MB     00:03     
(15/26): gtk2-debuginfo-2.16.1-4.fc11.x86_64.rpm         | 9.1 MB     00:14     
(16/26): libX11-debuginfo-1.2-3.fc11.x86_64.rpm          | 4.0 MB     00:09     
(17/26): libXext-debuginfo-1.0.99.1-2.fc11.x86_64.rpm    | 222 kB     00:00     
(18/26): libXv-debuginfo-1.0.4-2.fc11.x86_64.rpm         |  40 kB     00:00     
(19/26): libbonobo-debuginfo-2.24.1-1.fc11.x86_64.rpm    | 856 kB     00:01     
(20/26): libnotify-debuginfo-0.4.5-2.fc11.x86_64.rpm     |  51 kB     00:00     
(21/26): libsigc++20-debuginfo-2.2.2-3.fc11.x86_64.rpm   |  64 kB     00:00     
(22/26): libsoup-debuginfo-2.26.1-1.fc11.x86_64.rpm      | 452 kB     00:00     
(23/26): libxml2-debuginfo-2.7.3-2.fc11.x86_64.rpm       | 2.0 MB     00:03     
(24/26): pango-debuginfo-1.24.1-1.fc11.x86_64.rpm        | 1.2 MB     00:01     
(25/26): ptlib-debuginfo-2.6.1-1.fc11.x86_64.rpm         | 3.9 MB     00:06     
(26/26): speex-debuginfo-1.2-0.11.rc1.fc11.x86_64.rpm    | 327 kB     00:00     
--------------------------------------------------------------------------------
Total                                           595 kB/s | 158 MB     04:31     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Traceback (most recent call last):
  File "/usr/bin/debuginfo-install", line 145, in <module>
    util = DebugInfoInstall()
  File "/usr/bin/debuginfo-install", line 46, in __init__
    self.main()
  File "/usr/bin/debuginfo-install", line 84, in main
    self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 452, in doTransaction
    self.errorSummary(errstring)
yum.Errors.YumBaseError


Version-Release number of selected component (if applicable):
yum-utils-1.1.21-2.fc11.noarch

How reproducible:
happened once

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
crash

Expected results:
installed debuginfo files

Additional info:
Comment 1 Matěj Cepl 2009-05-12 05:48:11 EDT
pwlib-debuginfo was private build, but if ptlib replaces pwlib, shouldn't ptlib-debuginfo replace pwlib-debuginfo as well?

[root@viklef ~]# yum install --enablerepo=\*-debuginfo {GConf2,ORBit2,SDL,atk,avahi,cyrus-sasl,dbus,dbus-glib,evolution-data-server,fontconfig,freetype,gcc,glib2,gtk2,libX11,libXext,libXv,libbonobo,libnotify,libsigc++20,libsoup,libxml2,pango,ptlib,speex}-debuginfo
Loaded plugins: aliases, allowdowngrade, changelog, dellsysidplugin2,
              : fastestmirror, list-data, merge-conf, presto, remove-with-
              : leaves, security, verify
Loading mirror speeds from cached hostfile
 * livna: rpm.livna.org
 * livna-debuginfo: rpm.livna.org
 * rawhide: ftp.fi.muni.cz
 * rawhide-debuginfo: ftp.fi.muni.cz
 * rpmfusion-free-debuginfo: mirror.karneval.cz
 * rpmfusion-free-rawhide: mirror.karneval.cz
 * rpmfusion-free-rawhide-debuginfo: mirror.karneval.cz
 * rpmfusion-free-updates-debuginfo: mirror.karneval.cz
 * rpmfusion-free-updates-testing-debuginfo: mirror.karneval.cz
 * rpmfusion-nonfree-debuginfo: mirror.karneval.cz
 * rpmfusion-nonfree-rawhide: mirror.karneval.cz
 * rpmfusion-nonfree-rawhide-debuginfo: mirror.karneval.cz
 * rpmfusion-nonfree-updates-debuginfo: mirror.karneval.cz
 * rpmfusion-nonfree-updates-testing-debuginfo: mirror.karneval.cz
http://sunsite.mff.cuni.cz/pub/fedora/releases/10.93/Everything/x86_64/debug/repodata/repomd.xml: [Errno 14] HTTP Error 404: Not Found
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: fedora-debuginfo. Please verify its path and try again
[root@viklef ~]# yum install --enablerepo=rawhide-debuginfo {GConf2,ORBit2,SDL,atk,avahi,cyrus-sasl,dbus,dbus-glib,evolution-data-server,fontconfig,freetype,gcc,glib2,gtk2,libX11,libXext,libXv,libbonobo,libnotify,libsigc++20,libsoup,libxml2,pango,ptlib,speex}-debuginfo
[root@viklef ~]# yum install --enablerepo=rawhide-debuginfo {GConf2,ORBit2,SDL,atk,avahi,cyrus-sasl,dbus,dbus-glib,evolution-data-server,fontconfig,freetype,gcc,glib2,gtk2,libX11,libXext,libXv,libbonobo,libnotify,libsigc++20,libsoup,libxml2,pango,ptlib,speex}-debuginfo
Loaded plugins: aliases, allowdowngrade, changelog, dellsysidplugin2,
              : fastestmirror, list-data, merge-conf, presto, remove-with-
              : leaves, security, verify
Loading mirror speeds from cached hostfile
 * livna: rpm.livna.org
 * rawhide: ftp.fi.muni.cz
 * rawhide-debuginfo: ftp.fi.muni.cz
 * rpmfusion-free-rawhide: mirror.karneval.cz
 * rpmfusion-nonfree-rawhide: mirror.karneval.cz
Excluding Packages in global exclude list
Finished
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package GConf2-debuginfo.x86_64 0:2.26.0-2.fc11 set to be updated
---> Package ORBit2-debuginfo.x86_64 0:2.14.17-1.fc11 set to be updated
---> Package SDL-debuginfo.x86_64 0:1.2.13-9.fc11 set to be updated
---> Package atk-debuginfo.x86_64 0:1.25.2-2.fc11 set to be updated
---> Package avahi-debuginfo.x86_64 0:0.6.25-1.fc11 set to be updated
---> Package cyrus-sasl-debuginfo.x86_64 0:2.1.22-22.fc11 set to be updated
---> Package dbus-debuginfo.x86_64 1:1.2.12-1.fc11 set to be updated
---> Package dbus-glib-debuginfo.x86_64 0:0.80-2.fc11 set to be updated
---> Package evolution-data-server-debuginfo.x86_64 0:2.26.1-1.fc11 set to be updated
---> Package fontconfig-debuginfo.x86_64 0:2.6.99.behdad.20090508-1.fc11 set to be updated
---> Package freetype-debuginfo.x86_64 0:2.3.9-3.fc11 set to be updated
---> Package gcc-debuginfo.x86_64 0:4.4.0-4 set to be updated
---> Package glib2-debuginfo.x86_64 0:2.20.1-1.fc11 set to be updated
---> Package gtk2-debuginfo.x86_64 0:2.16.1-4.fc11 set to be updated
---> Package libX11-debuginfo.x86_64 0:1.2-3.fc11 set to be updated
---> Package libXext-debuginfo.x86_64 0:1.0.99.1-2.fc11 set to be updated
---> Package libXv-debuginfo.x86_64 0:1.0.4-2.fc11 set to be updated
---> Package libbonobo-debuginfo.x86_64 0:2.24.1-1.fc11 set to be updated
---> Package libnotify-debuginfo.x86_64 0:0.4.5-2.fc11 set to be updated
---> Package libsigc++20-debuginfo.x86_64 0:2.2.2-3.fc11 set to be updated
---> Package libsoup-debuginfo.x86_64 0:2.26.1-1.fc11 set to be updated
---> Package libxml2-debuginfo.x86_64 0:2.7.3-2.fc11 set to be updated
---> Package pango-debuginfo.x86_64 0:1.24.1-1.fc11 set to be updated
---> Package ptlib-debuginfo.x86_64 0:2.6.1-1.fc11 set to be updated
---> Package speex-debuginfo.x86_64 0:1.2-0.11.rc1.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch     Version             Repository           Size
================================================================================
Installing:
 GConf2-debuginfo        x86_64   2.26.0-2.fc11       rawhide-debuginfo   598 k
 ORBit2-debuginfo        x86_64   2.14.17-1.fc11      rawhide-debuginfo   852 k
 SDL-debuginfo           x86_64   1.2.13-9.fc11       rawhide-debuginfo   945 k
 atk-debuginfo           x86_64   1.25.2-2.fc11       rawhide-debuginfo   187 k
 avahi-debuginfo         x86_64   0.6.25-1.fc11       rawhide-debuginfo   955 k
 cyrus-sasl-debuginfo    x86_64   2.1.22-22.fc11      rawhide-debuginfo   796 k
 dbus-debuginfo          x86_64   1:1.2.12-1.fc11     rawhide-debuginfo   1.2 M
 dbus-glib-debuginfo     x86_64   0.80-2.fc11         rawhide-debuginfo   269 k
 evolution-data-server-debuginfo
                         x86_64   2.26.1-1.fc11       rawhide-debuginfo   5.0 M
 fontconfig-debuginfo    x86_64   2.6.99.behdad.20090508-1.fc11
                                                      rawhide-debuginfo   354 k
 freetype-debuginfo      x86_64   2.3.9-3.fc11        rawhide-debuginfo   2.1 M
 gcc-debuginfo           x86_64   4.4.0-4             rawhide-debuginfo   119 M
 glib2-debuginfo         x86_64   2.20.1-1.fc11       rawhide-debuginfo   2.4 M
 gtk2-debuginfo          x86_64   2.16.1-4.fc11       rawhide-debuginfo   9.1 M
 libX11-debuginfo        x86_64   1.2-3.fc11          rawhide-debuginfo   4.0 M
 libXext-debuginfo       x86_64   1.0.99.1-2.fc11     rawhide-debuginfo   222 k
 libXv-debuginfo         x86_64   1.0.4-2.fc11        rawhide-debuginfo    40 k
 libbonobo-debuginfo     x86_64   2.24.1-1.fc11       rawhide-debuginfo   856 k
 libnotify-debuginfo     x86_64   0.4.5-2.fc11        rawhide-debuginfo    51 k
 libsigc++20-debuginfo   x86_64   2.2.2-3.fc11        rawhide-debuginfo    64 k
 libsoup-debuginfo       x86_64   2.26.1-1.fc11       rawhide-debuginfo   452 k
 libxml2-debuginfo       x86_64   2.7.3-2.fc11        rawhide-debuginfo   2.0 M
 pango-debuginfo         x86_64   1.24.1-1.fc11       rawhide-debuginfo   1.2 M
 ptlib-debuginfo         x86_64   2.6.1-1.fc11        rawhide-debuginfo   3.9 M
 speex-debuginfo         x86_64   1.2-0.11.rc1.fc11   rawhide-debuginfo   327 k

Transaction Summary
================================================================================
Install     25 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total size: 157 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  soubor /usr/lib/debug/usr/lib64/libpt.so.debug z instalace ptlib-debuginfo-2.6.1-1.fc11.x86_64 koliduje se souborem z balíčku pwlib-debuginfo-1.10.10-6.fc11.x86_64

Error Summary
--
Comment 2 Matěj Cepl 2009-05-12 05:49:02 EDT
When pwlib-debuginfo is manually removed, debuginfo-install works.
Comment 3 Matěj Cepl 2009-05-12 05:49:28 EDT
I.e., there is a bug in your error messages.
Comment 4 seth vidal 2009-05-28 15:25:08 EDT
In your first comment on this bug report
it says:
 File "/usr/share/yum-cli/cli.py", line 452, in doTransaction
    self.errorSummary(errstring)
yum.Errors.YumBaseError


was there more to this traceback? seems like something else  is missing.

thanks
Comment 5 Matěj Cepl 2009-05-29 11:38:03 EDT
(In reply to comment #4)
> In your first comment on this bug report
> it says:
>  File "/usr/share/yum-cli/cli.py", line 452, in doTransaction
>     self.errorSummary(errstring)
> yum.Errors.YumBaseError
> 
> 
> was there more to this traceback? seems like something else  is missing.
> 
> thanks  

Yeah, that's probably my bad mousework, but I don't know for sure what was there. I guess the error was the same as in original description (considering that I hope am not a total idiot, and it was just minutes after the first one). Sorry, I cannot help you better.
Comment 6 seth vidal 2009-05-29 11:43:36 EDT
I suspect this error has to do with a unicode decode error, that is not being handled - not anything really about a transaction error at all.
Comment 7 Bug Zapper 2009-06-09 11:40:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Eduardo Habkost 2009-07-31 09:53:52 EDT
I have got the same issue here. If I run yum with LC_ALL=C I get a meaningful error message:

(Ignore the actual contents of the error message. Probably a rpmfusion issue)


==============================================
Running Transaction Test
Finished Transaction Test
Traceback (most recent call last):
  File "/usr/bin/debuginfo-install", line 145, in <module>
    util = DebugInfoInstall()
  File "/usr/bin/debuginfo-install", line 46, in __init__
    self.main()
  File "/usr/bin/debuginfo-install", line 84, in main
    self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 455, in doTransaction
    self.errorSummary(errstring)
yum.Errors.YumBaseError: Transaction Check Error:
  file /usr/src/debug/freetype-2.3.9/src/cache/ftccache.h from install of freetype-debuginfo-2.3.9-5.fc11.i586 conflicts with file from package freetype-freeworld-debuginfo-2.3.9-2.fc11.i586

Error Summary
-------------

[root@blackpad ~]#
==============================================

But if I run it using the pt_BR.UTF-8 locale, I get a meaningless error message:

==============================================
Executando teste de transação
Teste de transação finalizado
Traceback (most recent call last):
  File "/usr/bin/debuginfo-install", line 145, in <module>
    util = DebugInfoInstall()
  File "/usr/bin/debuginfo-install", line 46, in __init__
    self.main()
  File "/usr/bin/debuginfo-install", line 84, in main
    self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 455, in doTransaction
    self.errorSummary(errstring)
yum.Errors.YumBaseError
[root@blackpad ~]#
==============================================


Package version:
yum-3.2.23-3.fc11.noarch
Comment 9 Eduardo Habkost 2009-07-31 10:06:15 EDT
Some debugging: I've changed the raise line at /usr/share/yum-cli/cli.py to:

            raise yum.Errors.YumBaseError, '[%r]' % (errstring) + '\n' + \
                 ('[%r][%r]' % (errstring, self.errorSummary(errstring)))

And the error message is:

yum.Errors.YumBaseError: [u'Erro na verifica\xe7\xe3o da transa\xe7\xe3o:\n  file /usr/src/debug/freetype-2.3.9/src/cache/ftccache.h from install of freetype-debuginfo-2.3.9-5.fc11.i586 conflicts with file from package freetype-freeworld-debuginfo-2.3.9-2.fc11.i586\n']
[u'Erro na verifica\xe7\xe3o da transa\xe7\xe3o:\n  file /usr/src/debug/freetype-2.3.9/src/cache/ftccache.h from install of freetype-debuginfo-2.3.9-5.fc11.i586 conflicts with file from package freetype-freeworld-debuginfo-2.3.9-2.fc11.i586\n'][u'Sum\xe1rio de erros\n-------------\n']



On the other hand, if I change only the errroSummary() line, keeping the errstring contents on the error message, like this:

            raise yum.Errors.YumBaseError, (errstring) + '\n' + \
                 ('[%r][%r]' % (errstring, self.errorSummary(errstring)))


Then, I still get the empty and meaningless YumBaseError message.
Comment 10 seth vidal 2009-07-31 10:08:08 EDT
I think this might actually be the same as 504407 - can you take a look at the solution there and see if it fixes this problem too.
Comment 11 Michal Nowak 2009-08-29 05:23:25 EDT
Seth, what kind of solution it should be? I still can see this error in Rawhide. (It prevents ABRT from installing -debuginfo pkgs.)
Comment 12 seth vidal 2010-01-12 16:18:25 EST
IF you can SEE the error complete with the filenames, etc - then that's a good solution. It means we're printing valid error outputs.
Comment 13 Bug Zapper 2010-04-27 10:16:59 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Tim Lauridsen 2010-04-29 09:04:13 EDT
I hope this unicode issue is fixed current yum releases, else reopen

Note You need to log in before you can comment on or make changes to this bug.